QJournalProtocolProtos.QJournalProtocolService (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.qjournal.protocol, class: QJournalProtocolProtos, class: QJournalProtocolService

Package org.apache.hadoop.hdfs.qjournal.protocol

# Class QJournalProtocolProtos.QJournalProtocolService

java.lang.Object
org.apache.hadoop.hdfs.qjournal.protocol.QJournalProtocolProtos.QJournalProtocolService

All Implemented Interfaces:
  `org.apache.hadoop.thirdparty.protobuf.Service`

Direct Known Subclasses:
  `QJournalProtocolProtos.QJournalProtocolService.Stub`

Enclosing class:
  QJournalProtocolProtos

public abstract static class QJournalProtocolProtos.QJournalProtocolService extends Object implements org.apache.hadoop.thirdparty.protobuf.Service

     Protocol used to journal edits to a JournalNode.
     See the request and response for details of rpc call.

Protobuf service `hadoop.hdfs.qjournal.QJournalProtocolService`

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `QJournalProtocolProtos.QJournalProtocolService.BlockingInterface`
  `static interface`
  `QJournalProtocolProtos.QJournalProtocolService.Interface`
  `static final class`
  `QJournalProtocolProtos.QJournalProtocolService.Stub`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `QJournalProtocolService()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract void`
  `acceptRecovery(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.AcceptRecoveryRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.AcceptRecoveryResponseProto> done)`
  `rpc acceptRecovery(.hadoop.hdfs.qjournal.AcceptRecoveryRequestProto) returns (.hadoop.hdfs.qjournal.AcceptRecoveryResponseProto);`
  `final void`
  `callMethod(org.apache.hadoop.thirdparty.protobuf.Descriptors.MethodDescriptor method, org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.thirdparty.protobuf.Message request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<org.apache.hadoop.thirdparty.protobuf.Message> done)`
  `abstract void`
  `canRollBack(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.CanRollBackRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.CanRollBackResponseProto> done)`
  `rpc canRollBack(.hadoop.hdfs.qjournal.CanRollBackRequestProto) returns (.hadoop.hdfs.qjournal.CanRollBackResponseProto);`
  `abstract void`
  `discardSegments(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.DiscardSegmentsRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.DiscardSegmentsResponseProto> done)`
  `rpc discardSegments(.hadoop.hdfs.qjournal.DiscardSegmentsRequestProto) returns (.hadoop.hdfs.qjournal.DiscardSegmentsResponseProto);`
  `abstract void`
  `doFinalize(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.DoFinalizeRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.DoFinalizeResponseProto> done)`
  `rpc doFinalize(.hadoop.hdfs.qjournal.DoFinalizeRequestProto) returns (.hadoop.hdfs.qjournal.DoFinalizeResponseProto);`
  `abstract void`
  `doPreUpgrade(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.DoPreUpgradeRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.DoPreUpgradeResponseProto> done)`
  `rpc doPreUpgrade(.hadoop.hdfs.qjournal.DoPreUpgradeRequestProto) returns (.hadoop.hdfs.qjournal.DoPreUpgradeResponseProto);`
  `abstract void`
  `doRollback(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.DoRollbackRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.DoRollbackResponseProto> done)`
  `rpc doRollback(.hadoop.hdfs.qjournal.DoRollbackRequestProto) returns (.hadoop.hdfs.qjournal.DoRollbackResponseProto);`
  `abstract void`
  `doUpgrade(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.DoUpgradeRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.DoUpgradeResponseProto> done)`
  `rpc doUpgrade(.hadoop.hdfs.qjournal.DoUpgradeRequestProto) returns (.hadoop.hdfs.qjournal.DoUpgradeResponseProto);`
  `abstract void`
  `finalizeLogSegment(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.FinalizeLogSegmentRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.FinalizeLogSegmentResponseProto> done)`
  `rpc finalizeLogSegment(.hadoop.hdfs.qjournal.FinalizeLogSegmentRequestProto) returns (.hadoop.hdfs.qjournal.FinalizeLogSegmentResponseProto);`
  `abstract void`
  `format(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.FormatRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.FormatResponseProto> done)`
  `rpc format(.hadoop.hdfs.qjournal.FormatRequestProto) returns (.hadoop.hdfs.qjournal.FormatResponseProto);`
  `static final org.apache.hadoop.thirdparty.protobuf.Descriptors.ServiceDescriptor`
  `getDescriptor()`
  `final org.apache.hadoop.thirdparty.protobuf.Descriptors.ServiceDescriptor`
  `getDescriptorForType()`
  `abstract void`
  `getEditLogManifest(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.GetEditLogManifestRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.GetEditLogManifestResponseProto> done)`
  `rpc getEditLogManifest(.hadoop.hdfs.qjournal.GetEditLogManifestRequestProto) returns (.hadoop.hdfs.qjournal.GetEditLogManifestResponseProto);`
  `abstract void`
  `getJournalCTime(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.GetJournalCTimeRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.GetJournalCTimeResponseProto> done)`
  `rpc getJournalCTime(.hadoop.hdfs.qjournal.GetJournalCTimeRequestProto) returns (.hadoop.hdfs.qjournal.GetJournalCTimeResponseProto);`
  `abstract void`
  `getJournaledEdits(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.GetJournaledEditsRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.GetJournaledEditsResponseProto> done)`
  `rpc getJournaledEdits(.hadoop.hdfs.qjournal.GetJournaledEditsRequestProto) returns (.hadoop.hdfs.qjournal.GetJournaledEditsResponseProto);`
  `abstract void`
  `getJournalState(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.GetJournalStateRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.GetJournalStateResponseProto> done)`
  `rpc getJournalState(.hadoop.hdfs.qjournal.GetJournalStateRequestProto) returns (.hadoop.hdfs.qjournal.GetJournalStateResponseProto);`
  `final org.apache.hadoop.thirdparty.protobuf.Message`
  `getRequestPrototype(org.apache.hadoop.thirdparty.protobuf.Descriptors.MethodDescriptor method)`
  `final org.apache.hadoop.thirdparty.protobuf.Message`
  `getResponsePrototype(org.apache.hadoop.thirdparty.protobuf.Descriptors.MethodDescriptor method)`
  `abstract void`
  `heartbeat(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.HeartbeatRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.HeartbeatResponseProto> done)`
  `rpc heartbeat(.hadoop.hdfs.qjournal.HeartbeatRequestProto) returns (.hadoop.hdfs.qjournal.HeartbeatResponseProto);`
  `abstract void`
  `isFormatted(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.IsFormattedRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.IsFormattedResponseProto> done)`
  `rpc isFormatted(.hadoop.hdfs.qjournal.IsFormattedRequestProto) returns (.hadoop.hdfs.qjournal.IsFormattedResponseProto);`
  `abstract void`
  `journal(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.JournalRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.JournalResponseProto> done)`
  `rpc journal(.hadoop.hdfs.qjournal.JournalRequestProto) returns (.hadoop.hdfs.qjournal.JournalResponseProto);`
  `static QJournalProtocolProtos.QJournalProtocolService.BlockingInterface`
  `newBlockingStub(org.apache.hadoop.thirdparty.protobuf.BlockingRpcChannel channel)`
  `abstract void`
  `newEpoch(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.NewEpochRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.NewEpochResponseProto> done)`
  `rpc newEpoch(.hadoop.hdfs.qjournal.NewEpochRequestProto) returns (.hadoop.hdfs.qjournal.NewEpochResponseProto);`
  `static org.apache.hadoop.thirdparty.protobuf.BlockingService`
  `newReflectiveBlockingService(QJournalProtocolProtos.QJournalProtocolService.BlockingInterface impl)`
  `static org.apache.hadoop.thirdparty.protobuf.Service`
  `newReflectiveService(QJournalProtocolProtos.QJournalProtocolService.Interface impl)`
  `static QJournalProtocolProtos.QJournalProtocolService.Stub`
  `newStub(org.apache.hadoop.thirdparty.protobuf.RpcChannel channel)`
  `abstract void`
  `prepareRecovery(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.PrepareRecoveryRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.PrepareRecoveryResponseProto> done)`
  `rpc prepareRecovery(.hadoop.hdfs.qjournal.PrepareRecoveryRequestProto) returns (.hadoop.hdfs.qjournal.PrepareRecoveryResponseProto);`
  `abstract void`
  `purgeLogs(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.PurgeLogsRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.PurgeLogsResponseProto> done)`
  `rpc purgeLogs(.hadoop.hdfs.qjournal.PurgeLogsRequestProto) returns (.hadoop.hdfs.qjournal.PurgeLogsResponseProto);`
  `abstract void`
  `startLogSegment(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.StartLogSegmentRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.StartLogSegmentResponseProto> done)`
  `rpc startLogSegment(.hadoop.hdfs.qjournal.StartLogSegmentRequestProto) returns (.hadoop.hdfs.qjournal.StartLogSegmentResponseProto);`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### QJournalProtocolService

    protected QJournalProtocolService()

- ## Method Details

  - ### newReflectiveService

    public static org.apache.hadoop.thirdparty.protobuf.Service newReflectiveService(QJournalProtocolProtos.QJournalProtocolService.Interface impl)

  - ### newReflectiveBlockingService

    public static org.apache.hadoop.thirdparty.protobuf.BlockingService newReflectiveBlockingService(QJournalProtocolProtos.QJournalProtocolService.BlockingInterface impl)

  - ### isFormatted

    public abstract void isFormatted(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.IsFormattedRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.IsFormattedResponseProto> done)
    `rpc isFormatted(.hadoop.hdfs.qjournal.IsFormattedRequestProto) returns (.hadoop.hdfs.qjournal.IsFormattedResponseProto);`

  - ### getJournalCTime

    public abstract void getJournalCTime(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.GetJournalCTimeRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.GetJournalCTimeResponseProto> done)
    `rpc getJournalCTime(.hadoop.hdfs.qjournal.GetJournalCTimeRequestProto) returns (.hadoop.hdfs.qjournal.GetJournalCTimeResponseProto);`

  - ### doPreUpgrade

    public abstract void doPreUpgrade(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.DoPreUpgradeRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.DoPreUpgradeResponseProto> done)
    `rpc doPreUpgrade(.hadoop.hdfs.qjournal.DoPreUpgradeRequestProto) returns (.hadoop.hdfs.qjournal.DoPreUpgradeResponseProto);`

  - ### doUpgrade

    public abstract void doUpgrade(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.DoUpgradeRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.DoUpgradeResponseProto> done)
    `rpc doUpgrade(.hadoop.hdfs.qjournal.DoUpgradeRequestProto) returns (.hadoop.hdfs.qjournal.DoUpgradeResponseProto);`

  - ### doFinalize

    public abstract void doFinalize(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.DoFinalizeRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.DoFinalizeResponseProto> done)
    `rpc doFinalize(.hadoop.hdfs.qjournal.DoFinalizeRequestProto) returns (.hadoop.hdfs.qjournal.DoFinalizeResponseProto);`

  - ### canRollBack

    public abstract void canRollBack(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.CanRollBackRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.CanRollBackResponseProto> done)
    `rpc canRollBack(.hadoop.hdfs.qjournal.CanRollBackRequestProto) returns (.hadoop.hdfs.qjournal.CanRollBackResponseProto);`

  - ### doRollback

    public abstract void doRollback(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.DoRollbackRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.DoRollbackResponseProto> done)
    `rpc doRollback(.hadoop.hdfs.qjournal.DoRollbackRequestProto) returns (.hadoop.hdfs.qjournal.DoRollbackResponseProto);`

  - ### discardSegments

    public abstract void discardSegments(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.DiscardSegmentsRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.DiscardSegmentsResponseProto> done)
    `rpc discardSegments(.hadoop.hdfs.qjournal.DiscardSegmentsRequestProto) returns (.hadoop.hdfs.qjournal.DiscardSegmentsResponseProto);`

  - ### getJournalState

    public abstract void getJournalState(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.GetJournalStateRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.GetJournalStateResponseProto> done)
    `rpc getJournalState(.hadoop.hdfs.qjournal.GetJournalStateRequestProto) returns (.hadoop.hdfs.qjournal.GetJournalStateResponseProto);`

  - ### newEpoch

    public abstract void newEpoch(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.NewEpochRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.NewEpochResponseProto> done)
    `rpc newEpoch(.hadoop.hdfs.qjournal.NewEpochRequestProto) returns (.hadoop.hdfs.qjournal.NewEpochResponseProto);`

  - ### format

    public abstract void format(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.FormatRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.FormatResponseProto> done)
    `rpc format(.hadoop.hdfs.qjournal.FormatRequestProto) returns (.hadoop.hdfs.qjournal.FormatResponseProto);`

  - ### journal

    public abstract void journal(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.JournalRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.JournalResponseProto> done)
    `rpc journal(.hadoop.hdfs.qjournal.JournalRequestProto) returns (.hadoop.hdfs.qjournal.JournalResponseProto);`

  - ### heartbeat

    public abstract void heartbeat(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.HeartbeatRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.HeartbeatResponseProto> done)
    `rpc heartbeat(.hadoop.hdfs.qjournal.HeartbeatRequestProto) returns (.hadoop.hdfs.qjournal.HeartbeatResponseProto);`

  - ### startLogSegment

    public abstract void startLogSegment(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.StartLogSegmentRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.StartLogSegmentResponseProto> done)
    `rpc startLogSegment(.hadoop.hdfs.qjournal.StartLogSegmentRequestProto) returns (.hadoop.hdfs.qjournal.StartLogSegmentResponseProto);`

  - ### finalizeLogSegment

    public abstract void finalizeLogSegment(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.FinalizeLogSegmentRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.FinalizeLogSegmentResponseProto> done)
    `rpc finalizeLogSegment(.hadoop.hdfs.qjournal.FinalizeLogSegmentRequestProto) returns (.hadoop.hdfs.qjournal.FinalizeLogSegmentResponseProto);`

  - ### purgeLogs

    public abstract void purgeLogs(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.PurgeLogsRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.PurgeLogsResponseProto> done)
    `rpc purgeLogs(.hadoop.hdfs.qjournal.PurgeLogsRequestProto) returns (.hadoop.hdfs.qjournal.PurgeLogsResponseProto);`

  - ### getEditLogManifest

    public abstract void getEditLogManifest(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.GetEditLogManifestRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.GetEditLogManifestResponseProto> done)
    `rpc getEditLogManifest(.hadoop.hdfs.qjournal.GetEditLogManifestRequestProto) returns (.hadoop.hdfs.qjournal.GetEditLogManifestResponseProto);`

  - ### getJournaledEdits

    public abstract void getJournaledEdits(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.GetJournaledEditsRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.GetJournaledEditsResponseProto> done)
    `rpc getJournaledEdits(.hadoop.hdfs.qjournal.GetJournaledEditsRequestProto) returns (.hadoop.hdfs.qjournal.GetJournaledEditsResponseProto);`

  - ### prepareRecovery

    public abstract void prepareRecovery(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.PrepareRecoveryRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.PrepareRecoveryResponseProto> done)
    `rpc prepareRecovery(.hadoop.hdfs.qjournal.PrepareRecoveryRequestProto) returns (.hadoop.hdfs.qjournal.PrepareRecoveryResponseProto);`

  - ### acceptRecovery

    public abstract void acceptRecovery(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.AcceptRecoveryRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.AcceptRecoveryResponseProto> done)
    `rpc acceptRecovery(.hadoop.hdfs.qjournal.AcceptRecoveryRequestProto) returns (.hadoop.hdfs.qjournal.AcceptRecoveryResponseProto);`

  - ### getDescriptor

    public static final org.apache.hadoop.thirdparty.protobuf.Descriptors.ServiceDescriptor getDescriptor()

  - ### getDescriptorForType

    public final org.apache.hadoop.thirdparty.protobuf.Descriptors.ServiceDescriptor getDescriptorForType()
    Specified by:
      `getDescriptorForType` in interface `org.apache.hadoop.thirdparty.protobuf.Service`

  - ### callMethod

    public final void callMethod(org.apache.hadoop.thirdparty.protobuf.Descriptors.MethodDescriptor method, org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.thirdparty.protobuf.Message request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<org.apache.hadoop.thirdparty.protobuf.Message> done)
    Specified by:
      `callMethod` in interface `org.apache.hadoop.thirdparty.protobuf.Service`

  - ### getRequestPrototype

    public final org.apache.hadoop.thirdparty.protobuf.Message getRequestPrototype(org.apache.hadoop.thirdparty.protobuf.Descriptors.MethodDescriptor method)
    Specified by:
      `getRequestPrototype` in interface `org.apache.hadoop.thirdparty.protobuf.Service`

  - ### getResponsePrototype

    public final org.apache.hadoop.thirdparty.protobuf.Message getResponsePrototype(org.apache.hadoop.thirdparty.protobuf.Descriptors.MethodDescriptor method)
    Specified by:
      `getResponsePrototype` in interface `org.apache.hadoop.thirdparty.protobuf.Service`

  - ### newStub

    public static QJournalProtocolProtos.QJournalProtocolService.Stub newStub(org.apache.hadoop.thirdparty.protobuf.RpcChannel channel)

  - ### newBlockingStub

    public static QJournalProtocolProtos.QJournalProtocolService.BlockingInterface newBlockingStub(org.apache.hadoop.thirdparty.protobuf.BlockingRpcChannel channel)